Subject: Re: [Bugme-new] [Bug 14685] New: 2.6.30 -> 2.6.31: very high number of RX dropped in bnx2

From: Krzysztof Olędzki <[email-masked]>
Date: Wed, 02 Dec 2009 14:37:56 +0100

On 2009-11-30 18:44, Michael Chan wrote:
> On Mon, 2009-11-30 at 07:33 -0800, Krzysztof Oledzki wrote:
>> # ethtool -S eth0|egrep "(rx_bcast_packets|rx_mcast_packets|
>> rx_fw_discards)"
>>       rx_mcast_packets: 2806
>>       rx_bcast_packets: 790016
>>       rx_fw_discards: 790016
> 
> This tells me that all the dropped packets are occurring in the iSCSI
> ring.
> 
> We have recently enabled iSCSI in the kernel and you probably don't have
> the userspace components to handle the iSCSI ring.  All broadcast
> packets are also received in the iSCSI ring and they are all dropped in
> this case without the userspace components.  Networking is not affected.
> If you rmmod the bnx2i and cnic drivers, the drop counter should stop
> counting.
> 
> We have newer firmware that will not include dropped iSCSI packets in
> the networking counters.  It should appear in the 2.6.33 kernel
> time-frame.

Yep, it was the cnic driver. Now I feel silly. Thank you for you help 
and sorry for the noise. I going to close it with RESOLVED-DOCUMENTED.

Best regards,

				Krzysztof Olędzki